* {
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
body {
    background-color: #435165;
    display: block;    
}
form {
text-align: center;
}
h1 {
  text-align: center;
  font-size:2vw;
}
div {
    margin-bottom: 1vw;
    }
label {
display: inline-block;
width: 18vw;
color: #777777;
text-align: left;
font-size: 2vw;
padding: 0 0 0 0;
}
input {
padding: 0 0 0 0;
font-size: 2vw;
text-align:center;
width: 18vw;
margin-bottom: 1vw;
}
select {
    padding: 0 0 0 0;
    font-size: 2vw;
    text-align:center;
    width: 18vw;
    }
textarea {
    padding: 0 0 0 0;
    font-size: 2vw;
    text-align:center;
    width: 18vw;
    vertical-align: middle; /* Set vertical alignment to middle */    
    resize: none; /* Prevent the textarea from being resized */
    overflow: hidden; /* Disable scroll bars */
    }
    /* Chrome, Safari, Edge, Opera */
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }
    /* Firefox */
    input[type=number] {
      -moz-appearance: textfield;
    }
.warning {
  padding: 1vw;
  border-radius: 0.5vw;
  font-size: 1.2vw;
  /* margin-bottom: 16px; */
  /* margin-right: 61px; */
  margin: auto;
  width: 30vw;
  text-align: center;
  border: 2px solid rgb(241, 197, 197);
  background-color: rgb(207, 216, 223);
  color: black;
  }

/*Change the content position and font size*/
.select2-selection__rendered {
    line-height: 3vw !important;
    font-size: 2vw;
}
/*Change the container height */
.select2-container .select2-selection--single {
    height: 3vw !important;               
    margin-bottom: 1vw;
}
/*Change the arrow position*/
.select2-selection__arrow {
    height: 3vw !important;
}


.login, .register {
    width: 400px;
    background-color: #ffffff;
    box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
    margin: 100px auto;
}
.login h1, .register h1 {
    text-align: center;
    color: #5b6574;
    font-size: 24px;
    padding: 20px 0 20px 0;
    border-bottom: 1px solid #dee0e4;
}
.login .links, .register .links {
    display: flex;
    padding: 0 15px;
}
.login .links a, .register .links a {
    color: #adb2ba;
    text-decoration: none;
    display: inline-flex;
    padding: 0 10px 10px 10px;
    font-weight: bold;
}
.login .links a:hover, .register .links a:hover {
    color: #9da3ac;
}
.login .links a.active, .register .links a.active {
    border-bottom: 3px solid #3274d6;
    color: #3274d6;
}
.login form, .register form {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 20px;
}
.login form label, .register form label {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background-color: #3274d6;
    color: #ffffff;
}
.login form input[type="password"], .login form input[type="text"], .login form input[type="email"], .register form input[type="password"], .register form input[type="text"], .register form input[type="email"] {
    width: 310px;
    height: 50px;
    border: 1px solid #dee0e4;
    margin-bottom: 20px;
    padding: 0 15px;
}
.login form input[type="submit"], .register form input[type="submit"] {
    width: 100%;
    padding: 15px;
    margin-top: 20px;
    background-color: #3274d6;
    border: 0;
    cursor: pointer;
    font-weight: bold;
    color: #ffffff;
    transition: background-color 0.2s;
}
.login form input[type="submit"]:hover, .register form input[type="submit"]:hover {
    background-color: #2868c7;
    transition: background-color 0.2s;
}
.navtop {
    display: flex;   /*flexbox make the nav bar contents euqally distributed. */
    justify-content:space-around;  /*space-around:The empty space before the first and after the last item equals half of the space between each pair of adjacent items. */
    background-color: #052247;    
    align-items: center; /* Center items vertically */
    height: 3.5vw; /* Set a specific height */
  }
/*navtop a:hover {
    color: #960b16;
  }*/
  /* Add a dark background on topnav links and the dropdown button on hover */
  /* .topnav a:hover, .dropdown:hover .dropbtn {
    background-color: #a02626;
    color: white;
  }
  .topnav a:hover, .logout:hover{
    background-color: #a02626;
    color: white;
  } */
.navtop a {
    text-decoration: none;  /* remove underline*/
    color: #c1c4c8;
    font-weight: bold;
    font-size:2vw;
    padding: 50px 0 50px 0;
  }
  .navtop button {
    text-decoration: none;  /* remove underline*/
    color: #c1c4c8;
    font-weight: bold;
    font-size:2vw;
  }
body.loggedin {
    background-color: #f3f4f7;
}
.table-style{
        table-layout: fixed; /*the column widths are divided equally across the table, regardless of content inside the cells*/
        width: 90vw;
        margin-left: 4%;
}

/* Change table cell text format*/
.table-style tr td { font-size: 1.2vw; height: 1.2vw;}

/* Style the links inside the navigation bar */
/* .topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    font-weight: bold;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
  } 
  */
  
  /* Add an active class to highlight the current page */
  .active {
    /*background-color: #adbad8;*/
    color: white;
  }
  
  /* Hide the link that should open and close the topnav on small screens */
  .topnav .icon {
    display: none;
  }
  
  /* Dropdown container - needed to position the dropdown content */
  .dropdown {
    float: left;
    overflow: hidden;
  }
  
  /* Style the dropdown button to fit inside the topnav */
  .dropdown .dropbtn {
    font-size: 3vw;
    border: none;
    outline: none;
    color: #c1c4c8;
    font-weight: bold;
    /*padding: 14px 16px;*/
    background-color: inherit;
    font-family: inherit;
    margin: 0;
  }
  
  /* Style the dropdown content (hidden by default) */
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  /* Style the links inside the dropdown */
  .dropdown-content a {
    float: none;
    color:   #616a6b;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    font-weight: bold;
    text-align: left;
    font-size:1.1vw;
  }
  

  
  /* Add a grey background to dropdown links on hover */
  .dropdown-content a:hover {
    background-color: #ddd;
    color: black;
  }
  
  /* Show the dropdown menu when the user moves the mouse over the dropdown button */
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  /* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
  @media screen and (max-width: 600px) {
    .topnav a:not(:first-child), .dropdown .dropbtn {
      display: none;
    }
    .topnav a.icon {
      float: right;
      display: block;
    }
  }
  
  /* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
  @media screen and (max-width: 600px) {
    .topnav.responsive {position: relative;}
    .topnav.responsive a.icon {
      position: absolute;
      right: 0;
      top: 0;
    }
    .topnav.responsive a {
      float: none;
      display: block;
      text-align: left;
    }
    .topnav.responsive .dropdown {float: none;}
    .topnav.responsive .dropdown-content {position: relative;}
    .topnav.responsive .dropdown .dropbtn {
      display: block;
      width: 100%;
      text-align: left;
    }  
  }

  @media print {
    .page-break {
        page-break-before: always;
    }
    .week-section {
      page-break-before: always;
  }
  }